Index: external/fastjet/VERSION
===================================================================
--- external/fastjet/VERSION	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/VERSION	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,1 +1,1 @@
-3.3.1
+3.3.2
Index: external/fastjet/config_auto.h
===================================================================
--- external/fastjet/config_auto.h	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/config_auto.h	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -169,5 +169,5 @@
 /* Define to the full name and version of this package. */
 #ifndef FASTJET_PACKAGE_STRING 
-#define FASTJET_PACKAGE_STRING  "FastJet 3.3.1" 
+#define FASTJET_PACKAGE_STRING  "FastJet 3.3.2" 
 #endif
 
@@ -184,5 +184,5 @@
 /* Define to the version of this package. */
 #ifndef FASTJET_PACKAGE_VERSION 
-#define FASTJET_PACKAGE_VERSION  "3.3.1" 
+#define FASTJET_PACKAGE_VERSION  "3.3.2" 
 #endif
 
@@ -194,5 +194,5 @@
 /* Version number of package */
 #ifndef FASTJET_VERSION 
-#define FASTJET_VERSION  "3.3.1" 
+#define FASTJET_VERSION  "3.3.2" 
 #endif
 
@@ -209,10 +209,10 @@
 /* Version of the package under the form XYYZZ (instead of X.Y.Z) */
 #ifndef FASTJET_VERSION_NUMBER 
-#define FASTJET_VERSION_NUMBER  30301 
+#define FASTJET_VERSION_NUMBER  30302 
 #endif
 
 /* Patch version of this package */
 #ifndef FASTJET_VERSION_PATCHLEVEL 
-#define FASTJET_VERSION_PATCHLEVEL  1 
+#define FASTJET_VERSION_PATCHLEVEL  2 
 #endif
 
Index: external/fastjet/config_raw.h
===================================================================
--- external/fastjet/config_raw.h	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/config_raw.h	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -106,5 +106,5 @@
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "FastJet 3.3.1"
+#define PACKAGE_STRING "FastJet 3.3.2"
 
 /* Define to the one symbol short name of this package. */
@@ -115,5 +115,5 @@
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "3.3.1"
+#define PACKAGE_VERSION "3.3.2"
 
 /* Define to 1 if you have the ANSI C header files. */
@@ -121,5 +121,5 @@
 
 /* Version number of package */
-#define VERSION "3.3.1"
+#define VERSION "3.3.2"
 
 /* Major version of this package */
@@ -130,8 +130,8 @@
 
 /* Version of the package under the form XYYZZ (instead of X.Y.Z) */
-#define VERSION_NUMBER 30301
+#define VERSION_NUMBER 30302
 
 /* Patch version of this package */
-#define VERSION_PATCHLEVEL 1
+#define VERSION_PATCHLEVEL 2
 
 /* Pre-release version of this package */
Index: external/fastjet/config_win.h
===================================================================
--- external/fastjet/config_win.h	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/config_win.h	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,9 +1,9 @@
-#define FASTJET_PACKAGE_STRING  "FastJet 3.3.1"
-#define FASTJET_PACKAGE_VERSION  "3.3.1"
-#define FASTJET_VERSION  "3.3.1"
+#define FASTJET_PACKAGE_STRING  "FastJet 3.3.2"
+#define FASTJET_PACKAGE_VERSION  "3.3.2"
+#define FASTJET_VERSION  "3.3.2"
 #define FASTJET_VERSION_MAJOR       3
 #define FASTJET_VERSION_MINOR       3
-#define FASTJET_VERSION_PATCHLEVEL  1
-#define FASTJET_VERSION_NUMBER      30301
+#define FASTJET_VERSION_PATCHLEVEL  2
+#define FASTJET_VERSION_NUMBER      30302
 
 /* The ATLASCone plugin is disabled by default*/
Index: external/fastjet/contribs/ValenciaPlugin/AUTHORS
===================================================================
--- external/fastjet/contribs/ValenciaPlugin/AUTHORS	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/contribs/ValenciaPlugin/AUTHORS	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,7 +1,8 @@
-The ValenciaJetAlgorithm FastJet contrib was written and is maintained and developed by: Ignacio Garcia Garcia, Marcel Vos, IFIC (UVEG/CSIC) Valencia, Spain
+The ValenciaPlugin FastJet contrib was written and is maintained and developed by: Ignacio Garcia Garcia, Marcel Vos, IFIC (UVEG/CSIC) Valencia, Spain
 
-Acknowledging suggestions by Gavin P. Salam (CERN) and J. Thaler (MIT)
+The first incarnation of the Valencia algorithm (with two parameters R and beta) was proposed "A robust jet reconstruction algorithm for high-energy lepton colliders", PLB 750 (2015) 95-99, arXiv:1404.4294
+The authors acknowledge suggestions by Gavin P. Salam (CERN) and his help in assessing the IR safety of the algorithm
 
-A preprint motivating the algorithm and describing its performance is available on: "A new jet algorithm for lepton colliders", arXiv:1404.4294 (submitted to PLB) 
+The VLC algorithm (with three parameters R, beta and gamma) is described in "Jet reconstruction at high-energy electron-positron colliders", EPJC 78 (2018) no. 2, 144. The addition of the gamma parameter was suggested by J. Thaler (MIT). The performance of the algorithm is evaluated in detail in this paper, in collaboration with Ph. Roloff, R. Simoniello (CERN) and M. Boronat, J. Fuster (IFIC)  
 
 Please contact: marcel.vos@ific.uv.es for questions, queries and comments
Index: external/fastjet/contribs/ValenciaPlugin/ChangeLog
===================================================================
--- external/fastjet/contribs/ValenciaPlugin/ChangeLog	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/contribs/ValenciaPlugin/ChangeLog	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,2 +1,25 @@
+22-12-2018: Gavin Salam <gavin.salam@cern.ch>
+        * VERSION:
+	* NEWS:
+	updated version to 2.0.2
+
+2018-12-18: Marcel Vos <marcel.vos@ific.uv.es>a
+        * ValenciaPlugin.cc:
+	Incorporates a modification suggested by
+	Filip Zarnecki (Warsaw) to make sure the behaviour for negative
+	beta is correct (added to trunk in june 2017 but left out of
+	2.0.1)
+
+2018-12-04: Marcel Vos <marcel.vos@ific.uv.es>
+	* VERSION
+	* NEWS
+	updated version to 2.0.1
+
+	* ValenciaPlugin.cc:
+	Bug fix: a bug was discovered in the plugin by Matthias Weber (CERN)
+ 	the calculation of the distance diB assumed massless constituents.
+ 	The impact on the results - jet energy and mass - is typically small,
+	but can be non-negligible
+
 24-02-2015  Marcel Vos <marcel.vos@ific.uv.es>
 
Index: external/fastjet/contribs/ValenciaPlugin/NEWS
===================================================================
--- external/fastjet/contribs/ValenciaPlugin/NEWS	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/contribs/ValenciaPlugin/NEWS	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,2 +1,4 @@
+22 December 2018: bug-fix release 2.0.2, for negative beta
+04 December 2018: bug-fix release 2.0.1, for massive constituents
 24 February 2015: version 2.0.0
 21 February 2015: released 2.0-devel
Index: external/fastjet/contribs/ValenciaPlugin/VERSION
===================================================================
--- external/fastjet/contribs/ValenciaPlugin/VERSION	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/contribs/ValenciaPlugin/VERSION	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,1 +1,1 @@
-2.0.0
+2.0.2
Index: external/fastjet/contribs/ValenciaPlugin/ValenciaPlugin.cc
===================================================================
--- external/fastjet/contribs/ValenciaPlugin/ValenciaPlugin.cc	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/contribs/ValenciaPlugin/ValenciaPlugin.cc	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,3 +1,3 @@
-// $Id: ValenciaPlugin.cc 776 2015-02-24 17:53:27Z vos $
+// $Id: ValenciaPlugin.cc 1209 2018-12-05 16:18:01Z vos $
 //
 // Copyright (c) 2014, Marcel Vos and Ignacio Garcia 
@@ -66,5 +66,6 @@
     // E-to-the-2*beta times sin(polar angle)-to-the-2*gamma
     if (E==0. || jet.perp()==0.) diB=0.;
-    diB = pow(E,2*beta) * pow(jet.perp()/E,2*info->gamma());  
+    // modified diB in release 2.0.1    
+    diB = pow(E,2*beta) * pow(jet.perp()/sqrt(jet.perp2()+jet.pz()*jet.pz()),2*info->gamma());
   }
 
@@ -78,5 +79,5 @@
                    - nz*jet->nz;
 
-    if (jet->E < E)
+    if (pow(jet->E,2*beta) < pow(E,2*beta))
       dij *= 2 * pow(jet->E,2*beta);
     else 
Index: external/fastjet/contribs/ValenciaPlugin/ValenciaPlugin.hh
===================================================================
--- external/fastjet/contribs/ValenciaPlugin/ValenciaPlugin.hh	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/contribs/ValenciaPlugin/ValenciaPlugin.hh	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1,3 +1,3 @@
-// $Id: ValenciaPlugin.hh 776 2015-02-24 17:53:27Z vos $
+// $Id: ValenciaPlugin.hh 771 2015-02-21 16:40:07Z vos $
 //
 // Copyright (c) 2014, Marcel Vos and Ignacio Garcia 
Index: external/fastjet/plugins/SISCone/config.h
===================================================================
--- external/fastjet/plugins/SISCone/config.h	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/plugins/SISCone/config.h	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -83,5 +83,5 @@
 /* Define to the full name and version of this package. */
 #ifndef SISCONE_PACKAGE_STRING 
-#define SISCONE_PACKAGE_STRING  "SISCone 3.0.3" 
+#define SISCONE_PACKAGE_STRING  "SISCone 3.0.4" 
 #endif
 
@@ -98,5 +98,5 @@
 /* Define to the version of this package. */
 #ifndef SISCONE_PACKAGE_VERSION 
-#define SISCONE_PACKAGE_VERSION  "3.0.3" 
+#define SISCONE_PACKAGE_VERSION  "3.0.4" 
 #endif
 
@@ -111,5 +111,5 @@
 /* Version number of package */
 #ifndef SISCONE_VERSION 
-#define SISCONE_VERSION  "3.0.3" 
+#define SISCONE_VERSION  "3.0.4" 
 #endif
  
Index: external/fastjet/plugins/SISCone/config_raw.h
===================================================================
--- external/fastjet/plugins/SISCone/config_raw.h	(revision b7b836a8899294a4e33efef29a102a68395f2c11)
+++ external/fastjet/plugins/SISCone/config_raw.h	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -48,5 +48,5 @@
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "SISCone 3.0.3"
+#define PACKAGE_STRING "SISCone 3.0.4"
 
 /* Define to the one symbol short name of this package. */
@@ -57,5 +57,5 @@
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "3.0.3"
+#define PACKAGE_VERSION "3.0.4"
 
 /* Define to 1 if you have the ANSI C header files. */
@@ -66,3 +66,3 @@
 
 /* Version number of package */
-#define VERSION "3.0.3"
+#define VERSION "3.0.4"
